@if (Auth::check())
  {{ Form::open(array('action' => $action, 'method' => 'post')) }}
    @if (empty($selected_ac))
      <div class="card mb-2">
        <div class="card-header p-1">
          <h5 class="m-1 p-0">
            @lang('JumpSeat::transferac.title')
            <i class="fas fa-ticket-alt float-right"></i>
          </h5>
        </div>
        <div class="card-body p-1">
          <select name="ac_selection" id="ac_selection" style="width: 100%" class="form-group input-group select2 mt-1 mb-1 p-1">
            <option value="">@lang('JumpSeat::transferac.dropdown')</option>
            @foreach ($aircraft as $ac)
              <option value="{{ $ac->id }}">
                {{ $ac->icao }} | {{ $ac->registration }} @if($ac->registration != $ac->name) '{{ $ac->name }}' @endif | {{ $ac->airport_id }} | {{ $ac->subfleet->airline->name }}
              </option>
            @endforeach
          </select>
        </div>
        <div class="card-footer p-1 text-right">
          @if ($price === 'auto')
            <i class="fas fa-money-bill-wave fa-2x text-danger float-left" title="@lang('JumpSeat::transferac.iconauto')"></i>
          @elseif ($price === 'free')
            <i class="fas fa-id-card fa-2x text-success float-left" title="@lang('JumpSeat::transferac.iconfree')"></i>
          @else 
            <i class="fas fa-money-bill fa-2x text-primary float-left" title="@lang('JumpSeat::transferac.iconfixed') {{ number_format($price).' '.setting('units.currency') }}"></i>
          @endif
          @if (isset($dest))
            <button class="btn btn-sm btn-primary" type="submit">@lang('JumpSeat::transferac.button')</button>
          @endif
        </div>
      </div>
    @elseif ($selected_ac && count($aircraft) === 1)
      <button class="btn btn-sm btn-primary" type="submit">@lang('JumpSeat::transferac.buttonsel') | {{ strtoupper($dest) }}</button>
      <input type="hidden" name="ac_selection" value="{{ $selected_ac }}">
    @endif
    <input type="hidden" name="price" value="{{ $price }}">
    <input type="hidden" name="croute" value="{{ url()->full() }}">
  {{ Form::close() }}
@endif
