<?php

namespace Modules\JumpSeat\Widgets;

use App\Contracts\Widget;
use App\Models\Airport;

class JumpSeat extends Widget
{
  protected $config = ['dest' => null, 'list' => null, 'price' => 'free', 'base' => 0.13];

  public function run()
  {
    $action = '\Modules\JumpSeat\Http\Controllers\JumpSeatController@jstravel';
    $price = $this->config['price'];
    $basep = $this->config['base'];

    if ($price != 'free' && $price != 'auto' && !is_numeric($price)) {
      $price = 'free';
    }

    if (!is_numeric($basep)) {
      $basep = 0.13;
    }

    $where = [];
    if($this->config['list'] === 'hubs') {
      $where['hub'] = 1;
    }

    $jairports = Airport::select('id', 'name', 'location', 'country', 'hub')->where($where)->orderBy('id')->get();

    return view('JumpSeat::jumpseat', [
      'action'    => $action,
      'jairports' => $jairports,
      'price'     => $price,
      'basep'     => $basep,
      'dest'      => $this->config['dest'],
    ]);
  }
}
